<zerohung>
  <section cat="0">
    <watchpoint id="1" name="HUNGTASK">1</watchpoint>
    <watchpoint id="2" name="SCREENON">1,10</watchpoint>
    <watchpoint id="3" name="SCREENOFF">0,10</watchpoint>
    <watchpoint id="4" name="SR">1</watchpoint>
    <watchpoint id="5" name="LMKD">1,30000,20,60000,0</watchpoint>
    <watchpoint id="6" name="IO">1,10000,5,60000</watchpoint>
    <watchpoint id="7" name="CPU">1,700,300000,1</watchpoint>
    <watchpoint id="8" name="GC">1,50,20,2000</watchpoint>
    <watchpoint id="9" name="TP">1</watchpoint>
    <watchpoint id="10" name="FENCE">1</watchpoint>
    <watchpoint id="11" name="SCRNONFWK">1,5000</watchpoint>
    <watchpoint id="12" name="SERVICE">1</watchpoint>
    <watchpoint id="13" name="GPU">1,3,300</watchpoint>
    <watchpoint id="14" name="TRANS_WIN">0,3,300</watchpoint>
    <watchpoint id="15" name="FOCUS_WIN">0,10000</watchpoint>
    <watchpoint id="16" name="LCD">1</watchpoint>
    <watchpoint id="17" name="RES_LEAK">1,300</watchpoint>
    <watchpoint id="18" name="IPC_THREAD">1</watchpoint>
    <watchpoint id="19" name="IPC_OBJECT">1</watchpoint>
    <watchpoint id="20" name="UFS">1</watchpoint>
    <watchpoint id="21" name="INIT">1</watchpoint>
    <watchpoint id="22" name="VMWATCHDOG">1,/system/bin/surfaceflinger</watchpoint>
    <watchpoint id="23" name="APPFREEZE">1</watchpoint>
    <watchpoint id="24" name="APPFRZ_WARNING">1</watchpoint>
    <watchpoint id="25" name="HTSK_WARNING">1</watchpoint>
    <watchpoint id="26" name="FDLEAK">1,900</watchpoint>
    <watchpoint id="27" name="CAMERA">1</watchpoint>
    <watchpoint id="28" name="UPLOAD_BIGDATA">1,24</watchpoint>
    <watchpoint id="29" name="ION">1</watchpoint>
    <watchpoint id="30" name="WATCHDOG">1</watchpoint>
    <watchpoint id="31" name="TEMP1">1</watchpoint>
    <watchpoint id="32" name="TEMP2">1</watchpoint>
    <watchpoint id="33" name="TEMP3">1</watchpoint>
    <watchpoint id="100" name="VERSION">100</watchpoint>
    <watchpoint id="101" name="ENABLE">1</watchpoint>
    <watchpoint id="102" name="THRESHOLD">60</watchpoint>
    <watchpoint id="103" name="FAULT_TIME">0</watchpoint>
    <watchpoint id="104" name="REBOOT_REASON">press10s,AP_S_PRESS6S,BR_PRESS_10S</watchpoint>
    <watchpoint id="105" name="QUOTA_PERDAY"></watchpoint>
  </section>
  <section cat="1">
    <watchpoint id="1" name="UIP_WARNING">1</watchpoint>
    <watchpoint id="2" name="UIP_FREEZE">1,3000,5000,3000,1000,3000,1000,1</watchpoint>
    <watchpoint id="3" name="UIP_SLOW">1</watchpoint>
    <watchpoint id="4" name="UIP_INPUT">1</watchpoint>
    <watchpoint id="5" name="MTO_FREEZE">1</watchpoint>
    <watchpoint id="6" name="MTO_SLOW">1</watchpoint>
    <watchpoint id="7" name="MTO_INPUT">1</watchpoint>
    <watchpoint id="8" name="BF">1</watchpoint>
    <watchpoint id="9" name="CL">1</watchpoint>
    <watchpoint id="10" name="CLA">1</watchpoint>
    <watchpoint id="11" name="ANR">1</watchpoint>
    <watchpoint id="12" name="MANR">1</watchpoint>
    <watchpoint id="13" name="CANR">1,6,60,1,com.android.systemui,com.android.incallui</watchpoint>
    <watchpoint id="14" name="FWB_WARNING">1</watchpoint>
    <watchpoint id="15" name="FWB_FREEZE">1,12000</watchpoint>
    <watchpoint id="16" name="NFW">1,5000</watchpoint>
    <watchpoint id="17" name="TWIN">1,5000</watchpoint>
    <watchpoint id="18" name="FWE">1</watchpoint>
    <watchpoint id="19" name="SBF">1,6,1,2</watchpoint>
    <watchpoint id="20" name="RCV">1,160,3</watchpoint>
    <watchpoint id="21" name="OBS">1,80,1</watchpoint>
    <watchpoint id="22" name="RECOVER_RESULT">1,com.hihonor.android.launcher</watchpoint>
    <watchpoint id="23" name="MULTI_TOUCH">1,2,300,60</watchpoint>
    <watchpoint id="24" name="UIP_RECOVER">1</watchpoint>
    <watchpoint id="25" name="BINDER_TIMEOUT">1</watchpoint>
    <watchpoint id="26" name="SBF_FREEZE">1</watchpoint>
    <watchpoint id="27" name="SBF_RECOVER">1</watchpoint>
    <watchpoint id="28" name="SUIP_WARNING">1</watchpoint>
    <watchpoint id="29" name="SUIP_FREEZE">1,3000,6000,4000,1000,3000</watchpoint>
    <watchpoint id="30" name="SUIP_INPUT">1</watchpoint>
    <watchpoint id="33" name="RESUME">1</watchpoint>
    <watchpoint id="34" name="TEMP1">1</watchpoint>
    <watchpoint id="35" name="TEMP2">1</watchpoint>
    <watchpoint id="36" name="TEMP3">1</watchpoint>
    <watchpoint id="37" name="APP_EXIT_CATCH">60000</watchpoint>
    <watchpoint id="38" name="NATIVE_CRASH">1</watchpoint>
    <watchpoint id="39" name="GAME_FREEZE">1</watchpoint>
    <watchpoint id="101" name="BINDER_PEER_STACK">0x0101,0x0113</watchpoint>
  </section>
  <section cat="2">
    <watchpoint id="1" name="LONGPRESS">1</watchpoint>
    <watchpoint id="2" name="POWERKEY">1,5,3,500,2</watchpoint>
    <watchpoint id="3" name="HOMEKEY">1,2,300</watchpoint>
    <watchpoint id="4" name="BACKKEY">1,2,1000</watchpoint>
    <watchpoint id="5" name="MULTIPRESS">1</watchpoint>
    <watchpoint id="6" name="TEMP1">1</watchpoint>
    <watchpoint id="7" name="TEMP2">1</watchpoint>
    <watchpoint id="8" name="TEMP3">1</watchpoint>
  </section>
</zerohung>
